Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.acegisecurity.domain.dao
Class InitializationUtils

    java.lang.Object
      org.acegisecurity.domain.dao.InitializationUtils

    public class InitializationUtils

extends Object

Convenience methods that support initialization of lazily loaded collections and associations using DAOs and other objects that implement `InitializationCapable`.

Version:
  $Id: InitializationUtils.java,v 1.3 2005/11/17 00:55:47 benalex Exp $
Author:
  Ben Alex

Constructor Summary
`InitializationUtils()`

Method Summary
`static void` | `initializeIfRequired(Object daoOrServices, Object entity)` Initializes the passed entity using the passed DAO or services layer `Object` (provided that the passed `Object` implements `InitializationCapable`).
`static boolean` | `isInitialized(Object daoOrServices, Object entity)` Indicates whether the passed entity has been initialized, by delegating to the passed daoOrServices (provided that the passed daoOrServices implements `InitializationCapable`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### InitializationUtils

    public InitializationUtils()

Method Detail

### initializeIfRequired

    public static void initializeIfRequired(Object daoOrServices,
                                            Object entity)

  Initializes the passed entity using the passed DAO or services layer `Object` (provided that the passed `Object` implements `InitializationCapable`).

  Parameters:
    `daoOrServices` - the potential source for `InitializationCapable` services (never `null`)
    `entity` - to evict (can be `null`)

### isInitialized

    public static boolean isInitialized(Object daoOrServices,
                                        Object entity)

  Indicates whether the passed entity has been initialized, by delegating to the passed daoOrServices (provided that the passed daoOrServices implements `InitializationCapable`.

  Parameters:
    `entity` - to determine whether initialized or not
  Returns:
    `true` if initialized, `false` if it is uninitialized or the passed daoOrServices does not provide initialization querying support

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2005 Acegi Technology Pty Limited. All Rights Reserved.